//----------------------------------------------------------------------------
///
///
///
//----------------------------------------------------------------------------


#include <fosh/command.h>
#include <stdio.h>
#include <time.h>       // time.h, localtime, strftime
#ifdef STM32
   //#include <arena/platform.h>
   #include <biwak/rtc.hpp>
#endif

class CCommandTest: public CCommand
{
   public:
      CCommandTest(const char *_name)
         :CCommand( _name, "   Test: get/set time and Test\n" )
      {}
      virtual int exec(int argc, const char *argv[]) const;
      virtual void printHelp() const;
};


int CCommandTest::exec(int argc, const char *argv[]) const /* virtual */
{
   printf("Foo: %d\n", argc);
   for(int i1=0; i1<argc; i1++)
      printf("argv[%d]: %s\n", i1, argv[i1]);
   return(0);
}


static const CCommand *createInstance_test()
{
   return( new CCommandTest("test") );
}


STTERM_COMMAND(test);


//---fin----------------------------------------------------------------------
